claw::graphic::xbm::writer Class Reference

This class write an image in a xbm file. More...

`#include <xbm.hpp>`

## Classes

struct | options
| Parameters of the writing algorithm. More...

## Public Member Functions

| writer (const image &img)
| Constructor.
| writer (const image &img, std::ostream &f, const options &opt=options())
| Constructor.
void | save (std::ostream &f, const options &opt=options()) const
| Save the image in a XBM file.

## Detailed Description

This class write an image in a xbm file.

Author
  Julien Jorge

Definition at line 94 of file xbm.hpp.

## Constructor & Destructor Documentation

## writer() [1/2]

claw::graphic::xbm::writer::writer | ( | const image & | img | ) |

Constructor.

Parameters

  img | The image in which the data will be stored.

Definition at line 64 of file xbm_writer.cpp.

References claw::graphic::image::image().

## writer() [2/2]

claw::graphic::xbm::writer::writer | ( | const image & | img,
|  | std::ostream & | f,
|  | const options & | opt = options() )

Constructor.

Parameters

  img | The image to save.
  f | The file in which we write the data.
  opt | Saving options.

Definition at line 77 of file xbm_writer.cpp.

References claw::graphic::image::image(), and save().

## Member Function Documentation

## save()

void claw::graphic::xbm::writer::save | ( | std::ostream & | f,
|  | const options & | opt = options() ) const

Save the image in a XBM file.

Parameters

  f | XBM file.
  opt | Saving options.

Definition at line 91 of file xbm_writer.cpp.

References CLAW_PRECOND, claw::graphic::xbm::writer::options::hot, claw::graphic::xbm::writer::options::name, claw::math::coordinate_2d< T >::x, and claw::math::coordinate_2d< T >::y.

Referenced by writer().

The documentation for this class was generated from the following files:

- xbm.hpp
- code/xbm_writer.cpp